petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscFunctionListPrintTypes

Prints the methods available.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscFunctionListPrintTypes(MPI_Comm comm,FILE *fd,const char prefix[],const char name[],const char text[],const char man[],PetscFunctionList list,const char def[],const char newv[])

Collective over MPI_Comm

### Input Parameters

| comm | - the communicator (usually MPI_COMM_WORLD)
| fd | - file to print to, usually stdout
| prefix | - prefix to prepend to name (optional)
| name | - option string (for example, "-ksp_type")
| text | - short description of the object (for example, "Krylov solvers")
| man | - name of manual page that discusses the object (for example, "KSPCreate")
| list | - list of types
| def | - default (current) value
| newv | - new value

### See Also

PetscFunctionListAdd(), PetscFunctionList

### Level

developer

### Location

src/sys/dll/reg.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages